Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.build.admin.create
Class BuildConfiguration

    java.lang.Object
      CombinedConfiguration
          com.atlassian.bamboo.ww2.actions.build.admin.create.BuildConfiguration

    public class BuildConfiguration

extends CombinedConfiguration

A specialisation of the `CombinedConfiguration` object. It handles the complexities of dealing with this

Constructor Summary
`BuildConfiguration()`
`BuildConfiguration(HierarchicalConfiguration configuration)`

Method Summary
`void` | `addProperty(String key, Object obj)`
`String` | `asXml()`
`void` | `clearProperty(String key)`
`void` | `clearTree(String key)`
`boolean` | `getBoolean(String key)`
`int` | `getInt(String key)`
`XMLConfiguration` | `getProjectConfig()`
`void` | `setProperty(String key, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuildConfiguration

    public BuildConfiguration()

### BuildConfiguration

    public BuildConfiguration(HierarchicalConfiguration configuration)

Method Detail

### getBoolean

    public boolean getBoolean(String key)

### getInt

    public int getInt(String key)

### setProperty

    public void setProperty(String key,
                            Object value)

### addProperty

    public void addProperty(String key,
                            Object obj)

### clearTree

    public void clearTree(String key)

### clearProperty

    public void clearProperty(String key)

### getProjectConfig

    public XMLConfiguration getProjectConfig()

### asXml

    public String asXml()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.